> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dividends

> Returns historical and upcoming dividend data for companies. Supports stocks and ETFs. Each dividend record includes ex-dividend date, record date, payment date, declaration date, dividend amount, adjusted dividend, yield, and frequency.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/dividends/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/dividends/query:
    post:
      tags:
        - Market Data
      summary: Dividends
      description: >-
        Returns historical and upcoming dividend data for companies. Supports
        stocks and ETFs. Each dividend record includes ex-dividend date, record
        date, payment date, declaration date, dividend amount, adjusted
        dividend, yield, and frequency.
      operationId: query_dividends_v1_dividends_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DividendsQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DividendsResponse'
components:
  schemas:
    DividendsQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            dividend data. You must supply one type and its corresponding value.
            Only one identifier should be provided per request.
          examples:
            - type: rp_entity_id
              value: 4A6F00
        limit:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 1
            - type: 'null'
          description: >-
            The maximum number of dividend records to return per entity. Must be
            between 1 and 1000.
          examples:
            - 100
      type: object
      required:
        - identifier
      title: DividendsQuery
    DividendsResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/DividendsResults'
          type: array
          description: The main data result
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: DividendsResponse
      description: Company Dividends response model.
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    DividendsResults:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RP Entity identifier
          examples:
            - D8442A
        target_identifier_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Identifier Id
          description: The external identifier ID, such as a symbol
          examples:
            - AAPL
        fields:
          items:
            type: string
          type: array
          title: Fields
          description: Column names for the data values
          examples:
            - - DATE
              - DIVIDEND
              - ADJ_DIVIDEND
              - RECORD_DATE
              - PAYMENT_DATE
              - DECLARATION_DATE
              - YIELD
              - FREQUENCY
        values:
          items:
            items:
              anyOf:
                - type: string
                - type: number
                - type: 'null'
            type: array
          type: array
          title: Values
          description: >-
            Dividend records. Each array contains [date, dividend, adjDividend,
            recordDate, paymentDate, declarationDate, yield, frequency]
          examples:
            - - - '2023-08-11'
                - 0.24
                - 0.24
                - '2023-08-14'
                - '2023-08-17'
                - '2023-08-03'
                - null
                - Quarterly
              - - '2023-11-10'
                - 0.24
                - 0.24
                - '2023-11-13'
                - '2023-11-16'
                - '2023-11-02'
                - null
                - Quarterly
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: DividendsResults
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````